# Get User's Current Publication GET /api/v2/publications/user/has-publication/ Check if the current user has a publication. Returns the default publication if one is set, otherwise returns the latest publication. If 'current_workspace' is true, filters by the workspace in the request context. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/publications/user-has-publication-retrieve ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v2/publications/user/has-publication/: get: operationId: user-has-publication-retrieve summary: Get User's Current Publication description: |2- Check if the current user has a publication. Returns the default publication if one is set, otherwise returns the latest publication. If 'current_workspace' is true, filters by the workspace in the request context. tags: - subpackage_publications parameters: - name: current_workspace in: query description: Filter by the workspace from the current request context required: false schema: type: boolean responses: '200': description: '' content: application/json: schema: $ref: '#/components/schemas/PublicationResponse' '404': description: '' content: application/json: schema: $ref: >- #/components/schemas/Publications_user_has_publication_retrieveRequestNotFoundError components: schemas: SimpleUser: type: object properties: id: type: integer email: type: string format: email full_name: type: string username: type: string description: >- Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only. is_verified: type: boolean profile_picture: type: string format: uri description: |- Convert ImageFieldFile to URL string for JSON serialization. Args: obj: The model instance being serialized (typically IAMUser) Returns: str | None: The URL of the profile picture, or None if not available required: - id - email - full_name - username - is_verified - profile_picture description: >- Simple user serializer with profile picture from associated IAMUserDetail. Fields: - id, email, full_name, username, is_verified (from IAMUser) - profile_picture (from first related IAMUserDetail if present) title: SimpleUser GlobalVisibilityEnum: type: string enum: - public - private - team - org description: |- * `public` - Public * `private` - Private * `team` - Team * `org` - Organization title: GlobalVisibilityEnum PublicationResponse: type: object properties: id: type: integer uid: type: string format: uuid name: type: string custom_url: type: string description: type: string logo: type: - string - 'null' format: uri cover_image: type: - string - 'null' format: uri owner: $ref: '#/components/schemas/SimpleUser' allow_bookings: type: boolean visibility: $ref: '#/components/schemas/GlobalVisibilityEnum' is_default: type: boolean description: Whether this is the user's default publication is_premium: type: boolean description: Whether this is a premium publication is_verified: type: boolean description: Whether this publication has been verified workspace: type: - integer - 'null' description: >- Workspace (DGM Group) this publication belongs to. Null for legacy publications. created_at: type: string format: date-time updated_at: type: string format: date-time required: - id - uid - name - custom_url - description - logo - cover_image - owner - allow_bookings - visibility - is_default - is_premium - is_verified - workspace - created_at - updated_at title: PublicationResponse Publications_user_has_publication_retrieveRequestNotFoundError: type: object properties: detail: type: string title: Publications_user_has_publication_retrieveRequestNotFoundError ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v2/publications/user/has-publication/" payload = {} headers = {"Content-Type": "application/json"} response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v2/publications/user/has-publication/'; const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v2/publications/user/has-publication/" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v2/publications/user/has-publication/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.example.com/api/v2/publications/user/has-publication/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.example.com/api/v2/publications/user/has-publication/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v2/publications/user/has-publication/"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v2/publications/user/has-publication/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```